Results 1 to 3 of 3

Thread: kali is BROKEN after updating

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Join Date
    2016-Oct
    Posts
    1

    Angry kali is BROKEN after updating

    i install kali 1.1.0
    then i change
    the repository to
    deb http://http.kali.org/kali kali-rolling main contrib non-free
    # For source package access, uncomment the following line
    # deb-src http://http.kali.org/kali kali-rolling main contrib non-free

    and i tried to update /upgrade/dist-upgrade
    so i get this problem
    Code:
    271 upgraded, 352 newly installed, 85 to remove and 1059 not upgraded.
    30 not fully installed or removed.
    Need to get 0 B/1,188 MB of archives.
    After this operation, 1,073 MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
        texlive-base:amd64 conflicts with texlive-latex-extra:amd64
            texlive-base:amd64 conflicts with texlive-latex-extra:amd64
            texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
            texlive-base:amd64 conflicts with texlive-latex-recommended-doc:amd64
            texlive-base:amd64 conflicts with texlive-luatex:amd64
                texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                texlive-base:amd64 conflicts with texlive-luatex:amd64
                texlive-base:amd64 conflicts with texlive-pictures:amd64
                    texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                    texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                    texlive-base:amd64 conflicts with texlive-luatex:amd64
                    texlive-base:amd64 conflicts with texlive-pictures:amd64
                    texlive-base:amd64 conflicts with texlive-pictures-doc:amd64
                    texlive-base:amd64 conflicts with texlive-pstricks:amd64
                        texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                        texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                        texlive-base:amd64 conflicts with texlive-luatex:amd64
                        texlive-base:amd64 conflicts with texlive-pictures:amd64
                        texlive-base:amd64 conflicts with texlive-pstricks:amd64
                        texlive-base:amd64 conflicts with texlive-pstricks-doc:amd64
                        texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                        texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                        texlive-base:amd64 conflicts with texlive-luatex:amd64
                        texlive-base:amd64 conflicts with texlive-pictures:amd64
                        texlive-base:amd64 conflicts with texlive-pstricks:amd64
                        texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                        texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                        texlive-base:amd64 conflicts with texlive-luatex:amd64
                        texlive-base:amd64 conflicts with texlive-pictures:amd64
                        texlive-base:amd64 conflicts with texlive-pstricks:amd64
                    texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                    texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                    texlive-base:amd64 conflicts with texlive-luatex:amd64
                    texlive-base:amd64 conflicts with texlive-pictures:amd64
                texlive-base:amd64 conflicts with texlive-latex-extra:amd64
                texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
                texlive-base:amd64 conflicts with texlive-luatex:amd64
            texlive-base:amd64 conflicts with texlive-latex-extra:amd64
            texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
        texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
        texlive-base:amd64 conflicts with texlive-latex-recommended:amd64
    Reading changelogs... Done
    Extracting templates from packages: 100%
    Preconfiguring packages ...
    Setting up initscripts (2.88dsf-59.8) ...
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: script checkroot.sh: service mtab already provided!
    insserv: exiting now!
    update-rc.d: error: insserv rejected the script header
    dpkg: error processing package initscripts (--configure):
     subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
     initscripts
    Can't locate File/FcntlLock.pm in @INC (you may need to install the File::FcntlLock module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/x86_64-linux-gnu/perl5/5.24 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/kali-menu/update-kali-menu line 9.
    BEGIN failed--compilation aborted at /usr/share/kali-menu/update-kali-menu line 9.
    E: Problem executing scripts DPkg::Post-Invoke '/usr/share/kali-menu/update-kali-menu wait_dpkg'
    E: Sub-process returned an error code
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  2. #2
    Join Date
    2014-Mar
    Posts
    163
    you should not upgrade kali wheezy (7 "1.1.0") directly to kali rooling .
    Both linux distributions work completely different from each other .

    The repository that you should add to your sources.list was :
    deb http://old.kali.org/kali sana main non-free contrib
    deb-src http://old.kali.org/kali sana main non-free contrib
    And remove your old kali repository from sources.list .

    Then , after an :
    apt-get update && apt-get upgrade && apt-get dist-upgrade -y
    and if only everything is working ok , then you can change to new kali repository like you wrote before .

    One this is you install a fresh install of kali sana and add the rolling repositories , other thing is installing kali moto .

  3. #3
    Join Date
    2015-Oct
    Posts
    27
    Quick Question, Why dont download and install 2016.2 from the begining?

Similar Threads

  1. Is it just me or is ever kali 2.0 iso I download broken.
    By sgtkeebler in forum General Archive
    Replies: 2
    Last Post: 2015-08-13, 09:41
  2. Updating kali to 1.0.6 on BBB
    By oneiroi in forum ARM Archive
    Replies: 1
    Last Post: 2014-02-28, 20:02

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •